<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head><link rel="stylesheet" type="text/css" href="style.css" /><script type="text/javascript" src="highlight.js"></script></head><body><pre><span class="hs-keyword">module</span><span> </span><span class="hs-identifier">Neo4J.Conversion.Adjective</span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Neo4J.Conversion.Adjective.html#createQualitativeAdjective"><span class="hs-identifier">createQualitativeAdjective</span></a></span><span class="hs-special">)</span><span> </span><span class="hs-keyword">where</span><span>
</span><span id="line-2"></span><span>
</span><span id="line-3"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><a href="BasicData.html"><span class="hs-identifier">BasicData</span></a></span><span>
</span><span id="line-4"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-identifier">Database.Bolt</span></span><span>
</span><span id="line-5"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><a href="EuskeraAppError.html"><span class="hs-identifier">EuskeraAppError</span></a></span><span>
</span><span id="line-6"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><a href="Features.Nominal.html"><span class="hs-identifier">Features.Nominal</span></a></span><span>
</span><span id="line-7"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><a href="Lexis.html"><span class="hs-identifier">Lexis</span></a></span><span>
</span><span id="line-8"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><a href="Neo4J.Conversion.Utils.html"><span class="hs-identifier">Neo4J.Conversion.Utils</span></a></span><span>
</span><span id="line-9"></span><span>
</span><span id="line-10"></span><span class="annot"><a href="Neo4J.Conversion.Adjective.html#createQualitativeAdjective"><span class="hs-identifier hs-type">createQualitativeAdjective</span></a></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Node</span></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Either</span></span><span> </span><span class="annot"><a href="EuskeraAppError.html#EuskeraAppError"><span class="hs-identifier hs-type">EuskeraAppError</span></a></span><span> </span><span class="annot"><a href="Lexis.html#Lexis"><span class="hs-identifier hs-type">Lexis</span></a></span><span>
</span><span id="line-11"></span><span id="createQualitativeAdjective"><span class="annot"><span class="annottext">createQualitativeAdjective :: Node -&gt; Either EuskeraAppError Lexis
</span><a href="Neo4J.Conversion.Adjective.html#createQualitativeAdjective"><span class="hs-identifier hs-var hs-var">createQualitativeAdjective</span></a></span></span><span> </span><span id="local-6989586621679082584"><span class="annot"><span class="annottext">Node
</span><a href="#local-6989586621679082584"><span class="hs-identifier hs-var">node</span></a></span></span><span> </span><span class="hs-glyph">=</span><span>
</span><span id="line-12"></span><span>  </span><span class="annot"><span class="annottext">Lexis -&gt; Either EuskeraAppError Lexis
forall a b. b -&gt; Either a b
</span><span class="hs-identifier hs-var">Right</span></span><span> </span><span class="annot"><span class="annottext">(Lexis -&gt; Either EuskeraAppError Lexis)
-&gt; Lexis -&gt; Either EuskeraAppError Lexis
forall a b. (a -&gt; b) -&gt; a -&gt; b
</span><span class="hs-operator hs-var">$</span></span><span> </span><span class="annot"><span class="annottext">Adjective -&gt; NF -&gt; Lexis
</span><a href="Lexis.html#Adj"><span class="hs-identifier hs-var">Adj</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">String -&gt; Adjective
</span><a href="Lexis.Adjective.html#Qualitative"><span class="hs-identifier hs-var">Qualitative</span></a></span><span> </span><span class="annot"><span class="annottext">String
</span><a href="#local-6989586621679082581"><span class="hs-identifier hs-var">root</span></a></span><span class="hs-special">)</span><span> </span><span class="annot"><span class="annottext">NF
</span><a href="BasicData.html#baseNounF"><span class="hs-identifier hs-var">baseNounF</span></a></span><span>
</span><span id="line-13"></span><span>  </span><span class="hs-keyword">where</span><span>
</span><span id="line-14"></span><span>    </span><span id="local-6989586621679082581"><span class="annot"><span class="annottext">root :: String
</span><a href="#local-6989586621679082581"><span class="hs-identifier hs-var hs-var">root</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">Node -&gt; String
</span><a href="Neo4J.Conversion.Utils.html#getRoot"><span class="hs-identifier hs-var">getRoot</span></a></span><span> </span><span class="annot"><span class="annottext">Node
</span><a href="#local-6989586621679082584"><span class="hs-identifier hs-var">node</span></a></span><span>
</span><span id="line-15"></span></pre></body></html>